For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
API ReferenceDeveloper Guides
API ReferenceDeveloper Guides
    • Getting Started
  • Customer Data API
  • Transaction Data API
      • GETCheck if a transaction exists
      • POSTAdd a new transaction
      • PUTUpdate an existing transaction
      • POSTAdd transactions in batch
      • PUTUpdate transactions in batch
Contact Us
LogoLogo
Transaction Data APITransactions

Update an existing transaction

PUT
https://transaction-api.cable.tech/transaction
PUT
/transaction
$curl -X PUT https://transaction-api.cable.tech/transaction \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "timestamp": "2024-04-20T14:45:00Z",
> "tx_id": "TX1234567890"
>}'
1{
2 "success": true,
3 "write_count": 1,
4 "message": "Transaction updated successfully.",
5 "organization_id": "ORG987654321"
6}
Was this page helpful?
Previous

Add transactions in batch

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Transaction data to update, referenced by ‘tx_id’. The ‘timestamp’ field represents the update time. Only the fields to be updated need to be included.

timestampdatetimeRequired
When the transaction was processed in your system, in ISO 8601 format. For updates, use when the event occurred, not when you're reporting it.
tx_idstringRequired
Unique identifier for the transaction. This is the primary key for the transaction record and should be unique across all transactions. Updates to a transaction should be made using this identifier.
typeenumOptional
Transaction type. Required when creating new transactions, optional for updates.
Allowed values:
methodenumOptional
Payment method used for the transaction. Required when creating new transactions, optional for updates. Each method may have different processing times, fees, and regulatory requirements.
amountdoubleOptional
Transaction amount. Required when creating new transactions, optional for updates.
currencystringOptionalformat: "iso-4217"
ISO 4217 currency code. Required when creating new transactions, optional for updates.
amount_usddoubleOptional

Amount in USD, if not provided will be calculated using the latest exchange rate using data from Open Exchange Rates (https://openexchangerates.org)

sender_idstringOptional
Identifier of the sender, this could be an account number, customer id, or any other unique identifier. If you are sending customer data to Cable, this ID should be able to be referenced in that dataset.
sender_countrystringOptionalformat: "iso-3166-1"

ISO 3166-1 alpha-2 country code

receiver_idstringOptional
Identifier of the receiver, this could be an account number, customer id, or any other unique identifier.
receiver_countrystringOptionalformat: "iso-3166-1"

ISO 3166-1 alpha-2 country code

statusenumOptional
Transaction status. Required when creating new transactions, optional for updates.

Response

Transaction updated successfully
successboolean
Indicates if the write operation was successful.
write_countinteger
The number of records written to the database.
messagestring
Provides additional information about the operation result.
organization_idstring
The organization ID for which the operation was performed.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error